Bug 654047 - Review Request: drupal6-feeds - An import and aggregation framework for Drupal.
Review Request: drupal6-feeds - An import and aggregation framework for Drupal.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: eric@christensenplace.us
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: InsightReviews
  Show dependency treegraph
 
Reported: 2010-11-16 12:50 EST by Peter Borsa
Modified: 2011-04-17 15:19 EDT (History)
7 users (show)

See Also:
Fixed In Version: drupal6-feeds-1.0-0.6.beta10.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-01 13:49:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
eric: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Borsa 2010-11-16 12:50:46 EST
Spec URL: http://asrob.fedorapeople.org/drupal-feeds.spec
SRPM URL: http://asrob.fedorapeople.org/drupal-feeds-6.x.1.0-0.1.beta10.fc14.src.rpm
Description: Import or aggregate data as nodes, users, taxonomy terms or simple database records.

This is my first package and I need a sponsor.
Comment 1 Peter Borsa 2010-11-18 16:38:32 EST
rpmlint output:

[asrob@alice SOURCES]$ rpmlint ../SRPMS/drupal-feeds-6.x.1.0-
0.1.beta10.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

koji output:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2609902
Watching tasks (this may be safely interrupted)...
2609902 build (dist-f14, drupal-feeds-6.x.1.0-0.1.beta10.fc14.src.rpm): open (x86-05.phx2.fedoraproject.org)
  2609903 buildArch (drupal-feeds-6.x.1.0-0.1.beta10.fc14.src.rpm, i386): open (x86-09.phx2.fedoraproject.org)
  2609903 buildArch (drupal-feeds-6.x.1.0-0.1.beta10.fc14.src.rpm, i386): open (x86-09.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
2609902 build (dist-f14, drupal-feeds-6.x.1.0-0.1.beta10.fc14.src.rpm): open (x86-05.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

2609902 build (dist-f14, drupal-feeds-6.x.1.0-0.1.beta10.fc14.src.rpm) completed successfully
Comment 2 Peter Borsa 2010-11-18 16:43:16 EST
Oops, I forgot the rpmlint spec file output, here it is:

[asrob@alice SOURCES]$ rpmlint drupal-feeds.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 3 Sven Lankes 2010-11-19 06:53:20 EST
Please change the name to drupal6-feeds and the version to 1.0.

Letters in version strings are forbidden - we're changing all existing drupal 
modules to also follow the new versioning as discussed on fedora-logistics a 
couple of weeks ago.
Comment 4 Peter Borsa 2010-11-19 11:01:58 EST
Updated files:

http://asrob.fedorapeople.org/drupal6-feeds.spec
http://asrob.fedorapeople.org/drupal6-feeds-1.0-0.1.beta10.fc14.src.rpm

rpmllint output:

[asrob@borsa-desktop SPECS]$ rpmlint drupal6-feeds.spec ../SRPMS/drupal6-feeds-1.0-0.1.beta10.fc14.src.rpm 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji output:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2611391
Watching tasks (this may be safely interrupted)...
2611391 build (dist-f14, drupal6-feeds-1.0-0.1.beta10.fc14.src.rpm): open (x86-04.phx2.fedoraproject.org)
  2611392 buildArch (drupal6-feeds-1.0-0.1.beta10.fc14.src.rpm, i386): open (x86-01.phx2.fedoraproject.org)
  2611392 buildArch (drupal6-feeds-1.0-0.1.beta10.fc14.src.rpm, i386): open (x86-01.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
2611391 build (dist-f14, drupal6-feeds-1.0-0.1.beta10.fc14.src.rpm): open (x86-04.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

2611391 build (dist-f14, drupal6-feeds-1.0-0.1.beta10.fc14.src.rpm) completed successfully
Comment 5 eric@christensenplace.us 2010-11-19 13:01:22 EST
I'll do the review.  I think someone else will be sponsoring?
Comment 6 Nick Bebout 2010-11-19 14:46:38 EST
I'll sponsor after the reviews are done
Comment 7 eric@christensenplace.us 2010-11-21 11:34:06 EST
OK    * MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]
[user@mini Desktop]$ rpmlint drupal6-feeds.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[user@mini Desktop]$ rpmlint drupal6-feeds-1.0-0.1.beta10.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK    * MUST: The package must be named according to the Package Naming Guidelines .
OK    * MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
OK    * MUST: The package must meet the Packaging Guidelines .
OK    * MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK    * MUST: The License field in the package spec file must match the actual license. [3]
OK    * MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
OK    * MUST: The spec file must be written in American English. [5]
OK    * MUST: The spec file for the package MUST be legible. [6]
ok    * MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK    * MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
OK    * MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
OK    * MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK    * MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
OK    * MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
OK    * MUST: Packages must NOT bundle copies of system libraries.[11]
OK    * MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
OK    * MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
OK    * MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
OK    * MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [15]
OK    * MUST: Each package must consistently use macros. [16]
OK    * MUST: The package must contain code, or permissable content. [17]
OK    * MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
OK    * MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
OK    * MUST: Header files must be in a -devel package. [19]
OK    * MUST: Static libraries must be in a -static package. [20]
OK    * MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
OK    * MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} [21]
OK    * MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
OK    * MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
OK    * MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
OK    * MUST: All filenames in rpm packages must be valid UTF-8. [24]



SHOULD Items:
Items marked as SHOULD are things that the package (or reviewer) SHOULD do, but is not required to do.

OK    * SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [25]
NO    * SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [26]
OK    * SHOULD: The reviewer should test that the package builds in mock. [27]
OK    * SHOULD: The package should compile and build into binary rpms on all supported architectures. [28]
OK    * SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
OK    * SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. [29]
OK    * SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [21]
OK    * SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. [30]
OK    * SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. [31]
NO    * SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.[32]
Comment 8 Nick Bebout 2010-11-21 13:59:08 EST
asrob is sponsored now.
Comment 9 Peter Borsa 2010-11-21 15:37:21 EST
New Package SCM Request
=======================
Package Name: drupal6-feeds
Short Description: An import and aggregation framework for Drupal.
Owners: asrob
Branches: f14
InitialCC:
Comment 10 Jason Tibbitts 2010-11-22 09:03:04 EST
Git done (by process-git-requests).
Comment 11 Fedora Update System 2010-11-23 04:44:09 EST
drupal6-feeds-1.0-0.1.beta10.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/drupal6-feeds-1.0-0.1.beta10.fc14
Comment 12 Paul W. Frields 2010-11-30 15:41:50 EST
The spec should have fixed these other problems:

* Use %global for the top-level definitions instead of %define

* Package should require php >= 5.2 as noted in its Drupal .info file -- although that's automatically met in Fedora it's not necessarily met elsewhere (e.g. EL-5).

* Package should require drupal6-ctools

* Package should require drupal6-job_scheduler (not available in Rawhide or F14, also not packaged as far as I know)

I'm reopening this bug since I can't remember how we deal with packages that have been reviewed and added to git prematurely.
Comment 13 Jason Tibbitts 2010-11-30 22:54:56 EST
Not much you can do except to file regular bugs against the package, unless you're going to ask an admin to somehow remove the package from the repositories.  Reopening the review ticket doesn't really accomplish anything; it won't even show up when you look at the package's bug list.
Comment 14 Peter Borsa 2010-12-01 11:53:50 EST
Updated files:

http://asrob.fedorapeople.org/SOURCES/drupal6-feeds.spec
http://asrob.fedorapeople.org/SOURCES/drupal6-feeds-1.0-0.1.beta10.fc14.src.rpm

rpmlint output:

[asrob@alice SPECS]$ rpmlint drupal6-feeds.spec ../SRPMS/drupal6-feeds-1.0-0.1.beta10.fc14.src.rpm 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji output:


Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2636448
Watching tasks (this may be safely interrupted)...
2636448 build (dist-f14, drupal6-feeds-1.0-0.1.beta10.fc14.src.rpm): open (x86-17.phx2.fedoraproject.org)
  2636450 buildArch (drupal6-feeds-1.0-0.1.beta10.fc14.src.rpm, noarch): free
  2636450 buildArch (drupal6-feeds-1.0-0.1.beta10.fc14.src.rpm, noarch): free -> open (x86-05.phx2.fedoraproject.org)
  2636450 buildArch (drupal6-feeds-1.0-0.1.beta10.fc14.src.rpm, noarch): open (x86-05.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
2636448 build (dist-f14, drupal6-feeds-1.0-0.1.beta10.fc14.src.rpm): open (x86-17.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

2636448 build (dist-f14, drupal6-feeds-1.0-0.1.beta10.fc14.src.rpm) completed successfully
5
Comment 15 Paul W. Frields 2010-12-01 13:49:03 EST
OK, I'll reclose this then, Jason -- thanks.

Peter, we'll have to handle this as a separate bug.  I'll file one and then we'll take it from there.  In the meantime, I've sent negative karma to the update in updates-testing so hopefully it will not be pushed anywhere else.  It automatically gets pushed to Rawhide and it is now broken there.

New bug 658989 filed.
Comment 16 Peter Borsa 2011-02-22 10:23:31 EST
Package Change Request
======================
Package Name: drupal6-feeds
New Branches: el5 el6
Owners: asrob
Comment 17 Jason Tibbitts 2011-02-22 12:13:37 EST
Git done (by process-git-requests).
Comment 18 Fedora Update System 2011-03-17 15:37:47 EDT
drupal6-feeds-1.0-0.6.beta10.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-feeds-1.0-0.6.beta10.el6
Comment 19 Fedora Update System 2011-03-17 15:49:04 EDT
drupal6-feeds-1.0-0.6.beta10.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-feeds-1.0-0.6.beta10.el5
Comment 20 Fedora Update System 2011-04-17 15:18:46 EDT
drupal6-feeds-1.0-0.6.beta10.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 21 Fedora Update System 2011-04-17 15:19:20 EDT
drupal6-feeds-1.0-0.6.beta10.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.